Skip to content

修改用户

接口信息

  • 接口: /users/{id}
  • 请求方式: PUT

路由参数

参数类型示例解释必填
idstring5832d184-dd53-42a0-8ace-0bf8d660f4cc用户 id

请求参数

参数类型示例解释必填
namestringxun用户名
emailstringtest@agent-api.ai.call.longlonglong.cn邮箱
phoneint18651671122手机号
passwordstring123456密码
password_confirmationstring123456确认密码

发送内容示例

cURL
curl -X PUT "https://ai.api.longlonglong.cn/users/5832d184-dd53-42a0-8ace-0bf8d660f4cc" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '{
    "name": "new-name",
    "email": "150528522@qq.com",
    "phone": "18661258541",
    "password": "1234567",
    "password_confirmation": "1234567"
  }'
Go
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io"
    "net/http"
)

func main() {
    url := "https://ai.api.longlonglong.cn/users/5832d184-dd53-42a0-8ace-0bf8d660f4cc"
    data := map[string]string{
        "name":                   "new-name",
        "email":                  "150528522@qq.com",
        "phone":                  "18661258541",
        "password":               "1234567",
        "password_confirmation":  "1234567",
    }
    jsonData, _ := json.Marshal(data)

    req, _ := http.NewRequest("PUT", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("Authorization", "Bearer YOUR_TOKEN")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
JavaScript
const id = "5832d184-dd53-42a0-8ace-0bf8d660f4cc";
const url = `https://ai.api.longlonglong.cn/users/${id}`;
const data = {
  name: "new-name",
  email: "150528522@qq.com",
  phone: "18661258541",
  password: "1234567",
  password_confirmation: "1234567"
};

fetch(url, {
  method: "PUT",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer YOUR_TOKEN"
  },
  body: JSON.stringify(data)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error("Error:", error));
Java
import java.net.URI;
import java.net.http.*;
import java.io.IOException;

public class Main {
    public static void main(String[] args) throws IOException, InterruptedException {
        HttpClient client = HttpClient.newHttpClient();
        String body = "{\"name\":\"new-name\",\"email\":\"150528522@qq.com\",\"phone\":\"18661258541\",\"password\":\"1234567\",\"password_confirmation\":\"1234567\"}";
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://ai.api.longlonglong.cn/users/5832d184-dd53-42a0-8ace-0bf8d660f4cc"))
            .header("Content-Type", "application/json")
            .header("Authorization", "Bearer YOUR_TOKEN")
            .PUT(HttpRequest.BodyPublishers.ofString(body))
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
PHP
<?php

$curl = curl_init();

$data = [
    "name" => "new-name",
    "email" => "150528522@qq.com",
    "phone" => "18661258541",
    "password" => "1234567",
    "password_confirmation" => "1234567"
];

curl_setopt_array($curl, [
    CURLOPT_URL => "https://ai.api.longlonglong.cn/users/5832d184-dd53-42a0-8ace-0bf8d660f4cc",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => "PUT",
    CURLOPT_POSTFIELDS => json_encode($data),
    CURLOPT_HTTPHEADER => [
        "Content-Type: application/json",
        "Authorization: Bearer YOUR_TOKEN"
    ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
Python
import requests
import json

user_id = "5832d184-dd53-42a0-8ace-0bf8d660f4cc"
url = f"https://ai.api.longlonglong.cn/users/{user_id}"

data = {
    "name": "new-name",
    "email": "150528522@qq.com",
    "phone": "18661258541",
    "password": "1234567",
    "password_confirmation": "1234567"
}

headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer YOUR_TOKEN"
}

response = requests.put(url, data=json.dumps(data), headers=headers)

print(response.json())
C++
#include <iostream>
#include <curl/curl.h>
#include <string>

size_t WriteCallback(void* contents, size_t size, size_t nmemb, void* userp) {
    ((std::string*)userp)->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl;
    CURLcode res;
    std::string readBuffer;

    curl = curl_easy_init();
    if(curl) {
        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Content-Type: application/json");
        headers = curl_slist_append(headers, "Authorization: Bearer YOUR_TOKEN");

        const char* data = "{\"name\":\"new-name\",\"email\":\"150528522@qq.com\",\"phone\":\"18661258541\",\"password\":\"1234567\",\"password_confirmation\":\"1234567\"}";

        curl_easy_setopt(curl, CURLOPT_URL, "https://ai.api.longlonglong.cn/users/5832d184-dd53-42a0-8ace-0bf8d660f4cc");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_POSTFIELDS, data);
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "PUT");
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &readBuffer);

        res = curl_easy_perform(curl);
        if(res != CURLE_OK)
            fprintf(stderr, "curl_easy_perform() failed: %s\n", curl_easy_strerror(res));
        else
            std::cout << readBuffer << std::endl;

        curl_easy_cleanup(curl);
    }
    return 0;
}

返回内容示例

json
{
  "code": 200,
  "status": "success",
  "message": "更新成功",
  "data": ""
}

基于 MIT 许可发布